summaryrefslogtreecommitdiff
path: root/scripts/00-create-service-account.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/00-create-service-account.sh')
-rwxr-xr-xscripts/00-create-service-account.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/00-create-service-account.sh b/scripts/00-create-service-account.sh
index 984e55b..5048df8 100755
--- a/scripts/00-create-service-account.sh
+++ b/scripts/00-create-service-account.sh
@@ -1,5 +1,9 @@
#!/bin/sh
+if [ -z $DEBUG ]; then
+ set -euxo pipefail
+fi
+
gcloud iam service-accounts create ${SERVICE_ACCOUNT} \
--description="Spark access account to Google Cloud Buckets" \
--display-name="Spark to Bucket"